import { useState } from "react";
import { Popconfirm, Button, message } from "antd";

export default function TeamDeleteButton({ record, onConfirm }) {
  const [visiable, setVisiable] = useState(false);

  const handleClick = (record) => {
    if (record.size > 0) {
      message.warning("该团队下还有成员，无法删除");
    } else {
      setVisiable(true);
    }
  };

  const handleConfirm = () => {
    onConfirm();
    setVisiable(false);
  };
  return (
    <Popconfirm
      title="删除团队"
      description="确认要删除该团队吗？"
      open={visiable}
      onConfirm={handleConfirm}
      onCancel={() => {
        setVisiable(false);
      }}
    >
      <Button danger size="small" onClick={() => handleClick(record)}>
        删除
      </Button>
    </Popconfirm>
  );
}
